package test1;

public class Hex {
    
    private final String regionName;
    private final boolean isOldWorld;
    private final TerrainType terrainType;
    private final TerrainContent content;

    public Hex(String regionName, boolean isOldWorld, TerrainType terrainType) {
        this.regionName = regionName;
        this.isOldWorld = isOldWorld;
        this.terrainType = terrainType;
        this.content = new TerrainContent();
    }

    public void addItem(Item item) {
        content.addItem(item);
    }
    
    public void dropItem(Item item) {
        content.dropItem(item);
    }

    @Override
    public String toString() {
        String result = "This is the region " + regionName + ".\n";
        if (isOldWorld) result += "It belongs to the Old World.\n";
        result += "The region currently contains the following:\n" + content;
        return result;
    }
}
