package test1;

public abstract class Item {
    
    private final int size;
    private String coalition;

    protected Item(int size, String coalition) {
        this.size = size;
        this.coalition = coalition;
    }
    
    protected abstract String getDetails();
    
    public int getSize() {
        return size;
    }
    
    public String getPrice() {
        return coalition;
    }
    
    public void changeCoalition(String newCoalition) {
        coalition = newCoalition;
    }
    
    @Override
    public String toString() {
        return getDetails() + "Size: " + size + "\nCoalition: " + coalition +"\n";
    }
}
