package test1;

import java.util.ArrayList;
import java.util.List;

public class TerrainContent {
    
    private final List<Item> items;

    public TerrainContent() {
        this.items = new ArrayList();
    }

    public void addItem(Item item) {
        items.add(item);
    }
    
    public void dropItem(Item item) {
        items.remove(item);
    }
    
    public int numItems() {
        return items.size();
    }
    
    public int contentSize() {
        int result = 0;
        for(Item item : items) {
            result += item.getSize();
        }
        return result;
    }

    @Override
    public String toString() {
        String result = "";
        for(Item item : items) {
            result += item;
        }
        return result;
    }    
}
