package test1;

public class Army extends Item {
    
    private final ArmyType armyType;
    private final int strength;

    public Army(int size, String coalition, ArmyType armyType, int strength) {
        super(size,coalition);
        this.armyType = armyType;
        this.strength = strength;
    }
    
    public int computeHitPoints() {
        return armyType.computeHitPoints();
    }

    @Override
    protected String getDetails() {
        return "A unit of " + armyType + " with strength " + strength + ".\n";
    }  
}
