package test1;

public class Place extends Item {
    
    private final String description;
    private int defenseBonus;

    public Place(int size, String coalition, String description, int defenseBonus) {
        super(size,coalition);
        this.description = description;
        this.defenseBonus = defenseBonus;
    }
    
    public void reduceDefenseBonus(int ammount) {
        defenseBonus = Math.max(0,defenseBonus-ammount);
    }
    
    @Override
    protected String getDetails() {
        return description + " with defense bonus of " + defenseBonus + ".\n";
    }   
}
